<?php
/**
 * Copyright © Lyra Network.
 * This file is part of EpayNC plugin for Magento. See COPYING.md for license details.
 *
 * @author    Lyra Network (https://www.lyra.com/)
 * @copyright Lyra Network
 * @license   https://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

class Lyra_Epaync_Model_Field_ThemeConfig extends Mage_Core_Model_Config_Data
{
    public function save()
    {
        $value = $this->getValue();

        if (! empty($value) && ! preg_match('#^[^;=]+=[^;=]*(;[^;=]+=[^;=]*)*;?$#', $value)) {
            $field = Mage::helper('epaync')->__((string) $this->getFieldConfig()->label);
            $group = Mage::helper('epaync')->getConfigGroupTitle($this->getGroupId());

            $msg = sprintf(Mage::helper('epaync')->__("Invalid value for field &laquo; %s &raquo; in section &laquo; %s &raquo;."), $field, $group);
            Mage::throwException($msg);
        }

        return parent::save();
    }
}
