<?php
/**
 * Copyright © Lyra Network.
 * This file is part of EpayNC plugin for Magento. See COPYING.md for license details.
 *
 * @author    Lyra Network (https://www.lyra.com/)
 * @copyright Lyra Network
 * @license   https://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

class Lyra_Epaync_Model_Source_Categories
{
    public function toOptionArray()
    {
        $options =  array();

        foreach (Mage::helper('epaync')->getConfigArray('product_categories') as $code => $name) {
            $options[] = array(
                'value' => $code,
                'label' => Mage::helper('epaync')->__($name)
            );
        }

        array_unshift($options, array('value' => 'CUSTOM_MAPPING', 'label' => Mage::helper('epaync')->__('(Use category mapping below)')));

        return $options;
    }
}
